Bug 1477681 - [abrt] okular: pa_fdsem_post(): okular killed by signal 6
[abrt] okular: pa_fdsem_post(): okular killed by signal 6
Status: NEW
Product: Fedora
Classification: Fedora
Component: okular (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0eae2e435569258147d8855217a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 11:43 EDT by sedrubal
Modified: 2018-05-03 04:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.72 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: cgroup (289 bytes, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: core_backtrace (10.17 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: dso_list (25.70 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: environ (2.41 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: maps (127.56 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: open_fds (1.82 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details
File: var_log_messages (1019 bytes, text/plain)
2017-08-02 11:43 EDT, sedrubal
no flags Details

  None (edit)
Description sedrubal 2017-08-02 11:43:02 EDT
Description of problem:
I exited fullscreen / presentation mode and changed the application. Then Okular suddenly exited.

Version-Release number of selected component:
okular-16.12.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/okular /home/se/documents/studium/sem8/algoks/VL/08_diskretisierungquantisierungteil2-v1.pdf
crash_function: pa_fdsem_post
executable:     /usr/bin/okular
journald_cursor: s=8f293fdd1fbe414994ffd26e46a5c396;i=c6a2;b=bf406d3fe8c14005a877db8aae3a9194;m=103f524122;t=555c700906769;x=c0bbaed540084ecb
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 sedrubal 2017-08-02 11:43:09 EDT
Created attachment 1308312 [details]
File: backtrace
Comment 2 sedrubal 2017-08-02 11:43:11 EDT
Created attachment 1308313 [details]
File: cgroup
Comment 3 sedrubal 2017-08-02 11:43:14 EDT
Created attachment 1308314 [details]
File: core_backtrace
Comment 4 sedrubal 2017-08-02 11:43:15 EDT
Created attachment 1308315 [details]
File: cpuinfo
Comment 5 sedrubal 2017-08-02 11:43:18 EDT
Created attachment 1308316 [details]
File: dso_list
Comment 6 sedrubal 2017-08-02 11:43:19 EDT
Created attachment 1308317 [details]
File: environ
Comment 7 sedrubal 2017-08-02 11:43:21 EDT
Created attachment 1308318 [details]
File: limits
Comment 8 sedrubal 2017-08-02 11:43:26 EDT
Created attachment 1308319 [details]
File: maps
Comment 9 sedrubal 2017-08-02 11:43:27 EDT
Created attachment 1308320 [details]
File: open_fds
Comment 10 sedrubal 2017-08-02 11:43:29 EDT
Created attachment 1308321 [details]
File: proc_pid_status
Comment 11 sedrubal 2017-08-02 11:43:31 EDT
Created attachment 1308322 [details]
File: var_log_messages
Comment 12 Peter Tselios 2018-01-08 09:46:23 EST
Similar problem has been detected:

okular crashes when open a PDF and go in Presentation Mode. 
This is the first time I noticed such a behavior.
Key points:
I use a laptop with dual screen setup. Laptop screen is the primary screen.
I start okular (and move it on the second/external screen if needed)
Go to Presentation Mode (either by the shortcut or the menu)
okular goes to full screen and crashes. 
The crash happens completely randomly. At the begining, after some time, when I exit the full screen etc. 

Note that with a single monitor I don't see this behavior (yes, using the same PDFs).

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/okular /home/<username>/Documents/<document_in_question>.pdf
crash_function: pa_fdsem_post
executable:     /usr/bin/okular
journald_cursor: s=84d825cd00a84b69903d1c0b2ce8a99c;i=7ecba;b=ad8a4de5985644e183de70abaab3d1ef;m=d232c69a7;t=562446cafc1e6;x=aa622c09ed272ce4
kernel:         4.14.11-200.fc26.x86_64
package:        okular-16.12.3-1.fc26
reason:         okular killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Kerry 2018-04-08 01:36:40 EDT
Similar problem has been detected:

Open pdf
ctl-shift P (for presentation)
click ok on the "here's how you get out of presentation mode"
esc (leave presentation)
ctl-shift P 
crashes

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        okular /home/nice/Dropbox/KerryNice-ParisEnd.pdf
crash_function: pa_fdsem_post
executable:     /usr/bin/okular
journald_cursor: s=f16d3af276c548e2942150d833605f5d;i=7a7a2;b=001afa68fd514623af3f000329b3a142;m=7254007462;t=5694f2e728853;x=f06fa35e703a4c0e
kernel:         4.15.9-200.fc26.x86_64
package:        okular-16.12.3-1.fc26
reason:         okular killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Kerry 2018-04-08 01:39:08 EDT
I've found this crash is very reproducible. You go to presentation mode, exit presentation mode, then it crashes if you go back to presentation mode again.
Comment 15 Fedora End Of Life 2018-05-03 04:27:21 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.